The vRealize Hyperic agent must run on a 1.5 JRE to monitor WebLogic Server 9.0 and higher. For earlier versions, a 1.4 JRE is supported.

About this task

vRealize Hyperic recommends you run the agent using the same JRE as WebLogic Server.

Procedure

On Unix-based platforms define the location of the WebLogic Server JRE using the HQ_JAVA_HOME environment variable, for example:
HQ_JAVA_HOME=/usr/local/bea/jdk150_04

For vRealize Hyperic agent v4.x on Windows platforms you must specify HQ_JAVA_HOME as a system variable. For more information, see Getting Started with vRealize Hyperic.